### MATLAB_SBML_STRUCTURE_FUNCTIONS\STOICHIOMETRYMATH

The functions allow users to create and work with the SBML StoichiometryMath structure.

Function are:

#### StoichiometryMath = StoichiometryMath_create(level(optional), version(optional) )

Takes

1. level, an integer representing an SBML level (optional)
2. version, an integer representing an SBML version (optional)

Returns

1. a MATLAB_SBML StoichiometryMath structure of the appropriate level and version

NOTE: the optional level and version preserve backwards compatibility a missing version argument will default to L1V2; L2V4 or L3V1 missing both arguments will default to L3V1

#### math = StoichiometryMath_getMath(SBMLStoichiometryMath)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure

Returns

1. the value of the math attribute

#### metaid = StoichiometryMath_getMetaid(SBMLStoichiometryMath)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure

Returns

1. the value of the metaid attribute

#### sboTerm = StoichiometryMath_getSBOTerm(SBMLStoichiometryMath)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure

Returns

1. the value of the sboTerm attribute

#### value = StoichiometryMath_isSetMath(SBMLStoichiometryMath)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure

Returns

1. value =
   - 1 if the math attribute is set
   - 0 otherwise

#### value = StoichiometryMath_isSetMetaid(SBMLStoichiometryMath)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure

Returns

1. value =
   - 1 if the metaid attribute is set
   - 0 otherwise

#### value = StoichiometryMath_isSetSBOTerm(SBMLStoichiometryMath)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure

Returns

1. value =
   - 1 if the sboTerm attribute is set
   - 0 otherwise

#### SBMLStoichiometryMath = StoichiometryMath_setMath(SBMLStoichiometryMath, math)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure
2. math; string representing the math expression math to be set

Returns

1. the SBML StoichiometryMath structure with the new value for the math attribute

#### SBMLStoichiometryMath = StoichiometryMath_setMetaid(SBMLStoichiometryMath, metaid)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure
2. metaid; a string representing the metaid to be set

Returns

1. the SBML StoichiometryMath structure with the new value for the metaid attribute

#### SBMLStoichiometryMath = StoichiometryMath_setSBOTerm(SBMLStoichiometryMath, sboTerm)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure
2. sboTerm, an integer representing the sboTerm to be set

Returns

1. the SBML StoichiometryMath structure with the new value for the sboTerm attribute

#### SBMLStoichiometryMath = StoichiometryMath_unsetMath(SBMLStoichiometryMath)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure

Returns

1. the SBML StoichiometryMath structure with the math attribute unset

#### SBMLStoichiometryMath = StoichiometryMath_unsetMetaid(SBMLStoichiometryMath)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure

Returns

1. the SBML StoichiometryMath structure with the metaid attribute unset

#### SBMLStoichiometryMath = StoichiometryMath_unsetSBOTerm(SBMLStoichiometryMath)

Takes

1. SBMLStoichiometryMath, an SBML StoichiometryMath structure

Returns

1. the SBML StoichiometryMath structure with the sboTerm attribute unset